Package org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.accessor

## Class AccessorAdapter

- java.lang.Object
- - org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.accessor.AccessorAdapter

All Implemented Interfaces:
  `org.eclipse.compare.IStreamContentAccessor`, `org.eclipse.compare.ITypedElement`

    public final class AccessorAdapter
    extends Object
    implements org.eclipse.compare.ITypedElement, org.eclipse.compare.IStreamContentAccessor

### Field Summary

### Fields inherited from interface org.eclipse.compare.ITypedElement

`FOLDER_TYPE, TEXT_TYPE, UNKNOWN_TYPE`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static AccessorAdapter` `adapt​(Object target)`
`InputStream` `getContents()`
`org.eclipse.swt.graphics.Image` `getImage()`
`String` `getName()`
`Object` `getTarget()`
`String` `getType()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getTarget

    public Object getTarget()

#### adapt

    public static AccessorAdapter adapt​(Object target)

#### getContents

    public InputStream getContents()
                            throws org.eclipse.core.runtime.CoreException

Specified by:
  `getContents` in interface `org.eclipse.compare.IStreamContentAccessor`
Throws:
  `org.eclipse.core.runtime.CoreException`
See Also:
  `IStreamContentAccessor.getContents()`

#### getName

    public String getName()

Specified by:
  `getName` in interface `org.eclipse.compare.ITypedElement`
See Also:
  `ITypedElement.getName()`

#### getImage

    public org.eclipse.swt.graphics.Image getImage()

Specified by:
  `getImage` in interface `org.eclipse.compare.ITypedElement`
See Also:
  `ITypedElement.getImage()`

#### getType

    public String getType()

Specified by:
  `getType` in interface `org.eclipse.compare.ITypedElement`
See Also:
  `ITypedElement.getType()`